QC settings + allowed flag for caller
GET/api/quick-connect/settings
Authentication: bearer token.
Permission: any signed-in user.
curl -X GET "https://shellius.example.com/api/quick-connect/settings" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Set QC enabled/minRole
PUT/api/quick-connect/settings
Authentication: bearer token.
Permission: quick_connect.settings.
Request body
| Name | Type | Required | Notes |
|---|---|---|---|
enabled | boolean | Yes |
curl -X PUT "https://shellius.example.com/api/quick-connect/settings" \
-H "Authorization: Bearer $SHELLIUS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enabled": false
}'200 OK
{ "success": true, "data": { … } }Create ad-hoc SSH ticket
POST/api/quick-connect/tickets
Authentication: bearer token.
Permission: any signed-in user.
Request body
| Name | Type | Required | Notes |
|---|---|---|---|
host | string | Yes | |
port | number | No | Default 22. 1–65535. |
username | string | No | May be null. |
auth | object | Yes | |
expectedHostKey | string | No | May be null. |
curl -X POST "https://shellius.example.com/api/quick-connect/tickets" \
-H "Authorization: Bearer $SHELLIUS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"host": "…",
"auth": {}
}'201 Created
{ "success": true, "data": { … } }Own QC history
GET/api/quick-connect/history
Authentication: bearer token.
Permission: any signed-in user.
Query parameters
| Name | Type | Required | Notes |
|---|---|---|---|
limit | number | No | Default 10. 1–100. |
curl -X GET "https://shellius.example.com/api/quick-connect/history" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }New ticket from own history row
POST/api/quick-connect/history/:id/reconnect
Authentication: bearer token.
Permission: any signed-in user.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X POST "https://shellius.example.com/api/quick-connect/history/{id}/reconnect" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"201 Created
{ "success": true, "data": { … } }Delete own history row
DELETE/api/quick-connect/history/:id
Authentication: bearer token.
Permission: any signed-in user.
Path parameters
| Name | Type | Notes |
|---|---|---|
id | string |
curl -X DELETE "https://shellius.example.com/api/quick-connect/history/{id}" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Clear own history
DELETE/api/quick-connect/history
Authentication: bearer token.
Permission: any signed-in user.
curl -X DELETE "https://shellius.example.com/api/quick-connect/history" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
{ "success": true, "data": { … } }Save QC target as a Server
POST/api/quick-connect/save
Authentication: bearer token.
Permission: quick_connect.save_server.
Request body
| Name | Type | Required | Notes |
|---|---|---|---|
host | string | Yes | |
port | number | No | Default 22. 1–65535. |
username | string | Yes | |
hostname | string | No | May be null. |
displayName | string | No | May be null. |
customerId | string | Yes | |
environment | string | No | One of demo, dev, staging, prod. Default dev. |
description | string | No | May be null. |
hostKeyFingerprint | string | No | May be null. |
hostKeyAlgorithm | string | No | May be null. |
identity | object | Yes |
curl -X POST "https://shellius.example.com/api/quick-connect/save" \
-H "Authorization: Bearer $SHELLIUS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"host": "…",
"username": "…",
"customerId": "…",
"identity": {}
}'201 Created
{ "success": true, "data": { … } }